commit: f2a2350027901312cf108e1a9faee76c909bf58a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 6 07:41:10 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 6 07:47:45 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2a23500
dev-python/frozenlist: Fix testing the C extension
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozenlist/frozenlist-1.4.0.ebuild | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/dev-python/frozenlist/frozenlist-1.4.0.ebuild
b/dev-python/frozenlist/frozenlist-1.4.0.ebuild
index f17293f2b4e2..21355bc2d995 100644
--- a/dev-python/frozenlist/frozenlist-1.4.0.ebuild
+++ b/dev-python/frozenlist/frozenlist-1.4.0.ebuild
@@ -43,3 +43,9 @@ python_configure() {
emake cythonize
fi
}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf frozenlist || die
+ epytest
+}